package com.mycroftmind.samples.win.asynctest.model;


import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.NamedQuery;



/**
 * The sample JPA entity used in test.
 *
 * @author win
 */
@Entity
@NamedQuery(name = SampleEntity.JPQL_GET_ALL, query = "SELECT s FROM SampleEntity s")
public class SampleEntity {

    /**
     * The name of the JPQL query for getting all records.
     */
    public static final String JPQL_GET_ALL = "SampleEntity.getAll";

    /**
     * The generated ID.
     */
    @Id
    @GeneratedValue
    private Long id;

    /**
     * Returns the generated ID.
     *
     * @return integer value or null, if not persisted yet
     */
    public Long getId() {
        return this.id;
    }
}
